Bug 428776 - Review Request: perl-SNMP-Info - SNMP::Info perl module
Review Request: perl-SNMP-Info - SNMP::Info perl module
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-15 00:15 EST by Walter Gould
Modified: 2009-09-12 13:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.01-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-27 02:15:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Walter Gould 2008-01-15 00:15:55 EST
Spec URL: http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-SNMP-Info.spec
SRPM URL: http://niscripts.googlecode.com/svn/trunk/rpms/SRPMS/perl-SNMP-Info-1.04-1.fc8.src.rpm
Description: SNMP::Info gives an object oriented interface to information obtained
through SNMP. 

This is my first fedora extras package and therefore, I will be needing a sponsor.

Comment 1 Jason Tibbitts 2008-01-15 16:40:58 EST
I'll take a look at your packages.
Comment 2 Jason Tibbitts 2008-01-15 18:48:34 EST
OK, this one fails to build due to a missing dependency on perl(Test::More).
Adding that gets a bit further, then:

Net-SNMP not found.  Net-SNMP installs the perl modules
Plus there's nice insult to "Redhat" (whatever that is) in the output.

Adding another build dependency on perl(Net::SNMP) still results in the same
error.  On a lark I added a build dependency on net-snmp and that didn't work.
However, a dependency on perl(SNMP) did.

Please be kind to your reviewer and try make sure that your packages build
properly.  I know that's hard to do because you can't do scratch builds in
koji until you're sponsored, but you can still install mock to do proper build
testing on a minimal system.

After getting a clean build, rpmlint has the following to say:
  perl-SNMP-Info.noarch: W: file-not-utf8 
  perl-SNMP-Info.noarch: W: file-not-utf8
These can be fixed by calling iconv; see the
http://fedoraproject.org/wiki/PackageMaintainers/CommonRpmlintIssues page for
an example.

Finally, the test suite says:

Make sure you download and install the MIBS needed for SNMP::Info.
See Man page or perldoc for SNMP::Info.

and I wonder if there's anything extra that needs to be added.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
X BuildRequires missing perl(Test::More) perl(SNMP).
* %clean is present.
* package builds in mock (rawhide, x86_64) (after adding missing build deps)
* package installs properly
X rpmlint has valid complaints.
* final provides and requires are sane:
   perl(SNMP::Info) = 1.04
   perl(SNMP::Info::Airespace) = 1.04
   perl(SNMP::Info::Bridge) = 1.04
   perl(SNMP::Info::CDP) = 1.04
   perl(SNMP::Info::CiscoImage) = 1.04
   perl(SNMP::Info::CiscoQOS) = 1.04
   perl(SNMP::Info::CiscoRTT) = 1.04
   perl(SNMP::Info::CiscoStack) = 1.04
   perl(SNMP::Info::CiscoStats) = 1.04
   perl(SNMP::Info::CiscoVTP) = 1.04
   perl(SNMP::Info::Entity) = 1.04
   perl(SNMP::Info::EtherLike) = 1.04
   perl(SNMP::Info::FDP) = 1.04
   perl(SNMP::Info::Layer1) = 1.04
   perl(SNMP::Info::Layer1::Allied) = 1.04
   perl(SNMP::Info::Layer1::Asante) = 1.04
   perl(SNMP::Info::Layer1::Bayhub) = 1.04
   perl(SNMP::Info::Layer1::S3000) = 1.04
   perl(SNMP::Info::Layer2) = 1.04
   perl(SNMP::Info::Layer2::Aironet) = 1.04
   perl(SNMP::Info::Layer2::Allied) = 1.04
   perl(SNMP::Info::Layer2::Aruba) = 1.04
   perl(SNMP::Info::Layer2::Bay) = 1.04
   perl(SNMP::Info::Layer2::Baystack) = 1.04
   perl(SNMP::Info::Layer2::C1900) = 1.04
   perl(SNMP::Info::Layer2::C2900) = 1.04
   perl(SNMP::Info::Layer2::Catalyst) = 1.04
   perl(SNMP::Info::Layer2::Centillion) = 1.04
   perl(SNMP::Info::Layer2::Cisco) = 1.04
   perl(SNMP::Info::Layer2::Foundry) = 1.04
   perl(SNMP::Info::Layer2::HP) = 1.04
   perl(SNMP::Info::Layer2::N2270) = 1.04
   perl(SNMP::Info::Layer2::NAP222x) = 1.04
   perl(SNMP::Info::Layer2::Orinoco) = 1.04
   perl(SNMP::Info::Layer2::ZyXEL_DSLAM) = 1.04
   perl(SNMP::Info::Layer3) = 1.04
   perl(SNMP::Info::Layer3::Aironet) = 1.04
   perl(SNMP::Info::Layer3::AlteonAD) = 1.04
   perl(SNMP::Info::Layer3::BayRS) = 1.04
   perl(SNMP::Info::Layer3::C3550) = 1.04
   perl(SNMP::Info::Layer3::C4000) = 1.04
   perl(SNMP::Info::Layer3::C6500) = 1.04
   perl(SNMP::Info::Layer3::Cisco) = 1.04
   perl(SNMP::Info::Layer3::Contivity) = 1.04
   perl(SNMP::Info::Layer3::Extreme) = 1.04
   perl(SNMP::Info::Layer3::Foundry) = 1.04
   perl(SNMP::Info::Layer3::Juniper) = 1.04
   perl(SNMP::Info::Layer3::N1600) = 1.04
   perl(SNMP::Info::Layer3::Passport) = 1.04
   perl(SNMP::Info::MAU) = 1.04
   perl(SNMP::Info::NortelStack) = 1.04
   perl(SNMP::Info::RapidCity) = 1.04
   perl(SNMP::Info::SONMP) = 1.04
   perl-SNMP-Info = 1.04-1.fc9

 %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=3,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 3 Walter Gould 2008-01-16 00:50:02 EST
Sorry I forgot to include the dependencies in the spec file. Thanks for your
patience with me.

X BuildRequires missing perl(Test::More) perl(SNMP).  -- FIXED
X rpmlint has valid complaints. -- FIXED

Here are the urls of the new spec file and src rpm:
SPEC: http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-SNMP-Info.spec

Comment 4 Jason Tibbitts 2008-01-16 01:39:51 EST
Builds fine and rpmlint is now silent.  I'd say this one is done; let's finish
up the other two and then we can do the account system bits and get everything

There's only one open question that I see, which is the bit about installing the
MIBs.  Any idea if there's something else this package needs to depend on?
Comment 5 Walter Gould 2008-01-16 12:00:29 EST
This perl module is a core component of a web application called netdisco
(http://netdisco.org).  The MIB's that the above output speaks of are included
in the netdisco tarball's.  I don't think this package actually depends on the
MIB's - but it will not be useful without them.  Does that help?
Comment 6 Jason Tibbitts 2008-01-16 13:58:24 EST
Well, the only issue I see is that we usually add a dependency when one package
isn't useful or doesn't run without another.

In this case, it looks like the netdisco mibs are packaged separately, so
ideally that package should be submitted as well and this package made to depend
upon it.
Comment 7 Walter Gould 2008-01-16 15:31:46 EST
Actually, that was (kind of) my plan.  I was planning on submitting packages for
netdisco's perl module dependencies that aren't packaged yet and then lastly
build a netdisco rpm (that would call the above perl packages in the Requires
line of the spec file). 

Currently, netdisco has 5 perl module dependencies that are not Fedora packages
(some of them I am working on with you):
Parallel::ForkManager (optional)  

So knowing that, I don't think I would be able to create a netdisco package
without first having created the perl module packages that it relies on.  What
are your thoughts/suggestions on this?   
Comment 8 Jason Tibbitts 2008-01-16 15:48:12 EST
My understanding is that the netdisco mibs are provided separately from
netdisco.   Of course, if this package is at all useful without having those
mibs then the issue is moot.

By the way, DB_File is certainly in Fedora (as it's part of base Perl) and I
happen to need Parallel::ForkManager myself and I already have it packaged so
I'll go ahead and submit it.
Comment 9 Jason Tibbitts 2008-01-16 18:12:05 EST
FYP, the Parallel::ForkManager review is bug 429044.
Comment 10 Walter Gould 2008-01-16 23:32:59 EST
Thanks for the info on the DB_File module and for submitting the
Parallel::ForkManager package.   

I am working on the MIBs.  I have e-mailed the developers to ask them if the
package is useful without having the MIBs.  However, I do see where the MIBs are
listed in the requirements section of the man page.  
Comment 11 Walter Gould 2008-01-17 03:00:16 EST
I realized that I accidentally modified the source tar archive today when fixing
the file-not-utf8 errors.  Anyway - I corrected it by obtaining a new source
tarball and modified the spec file for the iconv changes in the %prep section.

Here are the new files:

SPEC: http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-SNMP-Info.spec
Comment 12 Walter Gould 2008-01-21 01:04:21 EST
New Package CVS Request
Package Name: perl-SNMP-Info
Short Description: SNMP::Info perl module
Owners: gouldwp
Branches: F-8 EL-5
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-01-21 12:06:47 EST
cvs done.
Comment 14 Fedora Update System 2008-01-27 02:15:25 EST
perl-SNMP-Info-1.04-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-08-26 15:54:20 EDT
perl-SNMP-Info-2.01-1.el5 has been submitted as an update for Fedora EPEL 5.
Comment 16 Fedora Update System 2009-09-12 13:54:37 EDT
perl-SNMP-Info-2.01-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.